*;
*  TO DO: 
*
*  Review the code, submit, and then review the results.
*;

ods Excel file="&SAMPDIR\LabResults.xlsx" style=HTMLBlue;

* First worksheet;

title1 'Change in Cholesterol from Baseline for Females - Xanomeline High Dose';
title2 'Shaded area indicates normal range';

proc sgplot data=sample.baseline_visit5 
            sganno=sample.f_cholesterol_anno
            noautolegend;
  where (sex eq 'F' and lbtest eq 'CHOLESTEROL');
  scatter x=visit5_lbstresn y=baseline_lbstresn;
  xaxis values=(4 to 8 by 1) minor minorcount=4;
  yaxis values=(4 to 8 by 1) minor minorcount=4;
  lineparm x=4 y=4 slope=1;
  label visit5_lbstresn   = 'Cholesterol at Visit 5 (mmol/L)'
        baseline_lbstresn = 'Cholesterol Baseline (mmol/L)';
run; quit;

* Second worksheet;

title2;

proc report data=sample.baseline_visit5 nowd split='*';
  where (sex eq 'F' and lbtest eq 'CHOLESTEROL');
  column usubjid  age  baseline_lbstresn  baseline_lbstresu 
         visit5_lbstresn  visit5_lbstresu  change 
         baseline_lbdtc  visit5_lbdtc;
  define usubjid            / order     'Subject*Identifier';
  define age                / display   '*Age';
  define baseline_lbstresn  / display   'Baseline*Result' format=5.2;
  define baseline_lbstresu  / display   'Unit';
  define visit5_lbstresn    / display   'Visit 5*Result' format=5.2;
  define visit5_lbstresu    / display   'Unit';
  define change             / computed  'Change from*Baseline';
  define baseline_lbdtc     / display   'Baseline Date/Time of*Specimen Collection';
  define visit5_lbdtc       / display   'Visit 5 Date/Time of*Specimen Collection'; 
  
  compute change / character length=1;
    * Placeholder for change from baseline indicator;
  endcomp;
run; quit;

* Third worksheet;

title1 'Change in Cholesterol from Baseline for Males - Xanomeline High Dose';
title2 'Shaded area indicates normal range';

proc sgplot data=sample.baseline_visit5 
            sganno=sample.m_cholesterol_anno
            noautolegend;
  where (sex eq 'M' and lbtest eq 'CHOLESTEROL');
  scatter x=visit5_lbstresn y=baseline_lbstresn;
  xaxis values=(3 to 9 by 1) minorcount=4;
  yaxis values=(3 to 9 by 1) minorcount=4;
  lineparm x=3 y=3 slope=1;
  label visit5_lbstresn   = 'Cholesterol at Visit 5 (mmol/L)'
        baseline_lbstresn = 'Cholesterol Baseline (mmol/L)';
run; quit;

* Fourth worksheet;

title2;

proc report data=sample.baseline_visit5 nowd split='*';
  where (sex eq 'M' and lbtest eq 'CHOLESTEROL');
  column usubjid  age  baseline_lbstresn  baseline_lbstresu 
         visit5_lbstresn  visit5_lbstresu  change 
         baseline_lbdtc  visit5_lbdtc;
  define usubjid            / order     'Subject*Identifier';
  define age                / display   '*Age';
  define baseline_lbstresn  / display   'Baseline*Result' format=5.2;
  define baseline_lbstresu  / display   'Unit';
  define visit5_lbstresn    / display   'Visit 5*Result' format=5.2;
  define visit5_lbstresu    / display   'Unit';
  define change             / computed  'Change from*Baseline';
  define baseline_lbdtc     / display   'Baseline Date/Time of*Specimen Collection';
  define visit5_lbdtc       / display   'Visit 5 Date/Time of*Specimen Collection'; 
  
  compute change / character length=1;
    * Placeholder for change from baseline indicator;
  endcomp;
run; quit;

ods Excel close;

;*';*";*/;quit;run;
* Reference for code above: http://tinyurl.com/mjde9fc ;
